Vai al contenuto principale
POST
https://app.innochat.ch
/
api
/
v1
/
session
/
{uuid}
/
message
/
stream
curl --location --request POST 'https://app.innochat.ch/api/v1/session/{uuid}/message/stream' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{"query": "Your query goes here"}'
"Chat streaming response"
This API utilizes streaming technique to transmit data, and as a result, it returns the data in the form of a string continuously over the connection. Once the connection is over, you can refetch the list of messages to view the actual data.

Path

uuid
string
obbligatorio
Session uuid

Body

query
string
obbligatorio

Response

curl --location --request POST 'https://app.innochat.ch/api/v1/session/{uuid}/message/stream' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{"query": "Your query goes here"}'
"Chat streaming response"